[FB-Tracker] Created: (CORE-5555) 3.0 error handling for SELECT WITH LOCK breaks compatibility with 2.5

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[FB-Tracker] Created: (CORE-5555) 3.0 error handling for SELECT WITH LOCK breaks compatibility with 2.5

JIRA tracker@firebirdsql.org
3.0 error handling for SELECT WITH LOCK breaks compatibility with 2.5
---------------------------------------------------------------------

                 Key: CORE-5555
                 URL: http://tracker.firebirdsql.org/browse/CORE-5555
             Project: Firebird Core
          Issue Type: Bug
          Components: Engine
    Affects Versions: 3.0.2
            Reporter: bazilio


Executing SELECT WITH LOCK for the same record twice in different  transactions produced SQLCODE = -901 GDSCODE = 335544345 in 2.5
But 3.0 break compatibility of error handling/
It does SQLCODE = -904 GDSCODE = 335544878

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://tracker.firebirdsql.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Firebird-Devel mailing list, web interface at https://lists.sourceforge.net/lists/listinfo/firebird-devel
Loading...